Summary: Gadget is the Globally applicable Area Disaggregated General Ecosystem Toolbox
Name: gadget
Version: 2.2.00
Release: 1%{?dist}
License: GPL
Group: Applications/Misc
URL: https://github.com/Hafro/gadget
Source0:   %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-build
Packager: James Begley <james@jmbegley.org.uk>
BuildRequires: gcc-c++, make

# workaround for rpm 4.13
%define _empty_manifest_terminate_build 0

%description
Gadget is a flexible and powerful software tool that has been developed to model marine ecosystems, including both the impact of the interactions between species and the impact of fisheries harvesting the species. Gadget simulates these processes in a biologically realistic manner, and uses a framework to test the development of the modelled ecosystem in a statistically rigorous manner. Gadget has successfully been used to investigate the population dynamics of stock complexes in Icelandic waters, the Barents Sea, the North Sea and the Irish and Celtic Seas.

%prep
%setup -q -n %{name}-%{version}

%build
rm -rf %{buildroot}
[ "%{buildroot}" = "/" ] && echo "buildroot cannot be /" && exit 1
make

%install
mkdir -p %{buildroot}%{_datadir}/gadget
install -D -m 0755 gadget %{buildroot}%{_bindir}/gadget
install -D -m 0644 gadget.1 %{buildroot}%{_mandir}/man1/gadget.1
install -D -m 0644 userguide.pdf %{buildroot}%{_datadir}/gadget/userguide.pdf

%clean
make clean
[ "%{buildroot}" = "/" ] && echo "buildroot cannot be /" && exit 1
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/gadget
%{_mandir}/man1/*
%{_datadir}/gadget/*

%changelog
* Sun May 14 2017 James Begley <james@jmbegley.org.uk> - 2.2.00-1
- Initial RPM release

